Loading...
Searching...
No Matches
apr_bucket_file Struct Reference
APR Utility Functions » Bucket Brigades

`#include <apr_buckets.h>`

Collaboration diagram for apr_bucket_file:
[legend]

## Data Fields

apr_bucket_refcount | refcount
apr_file_t * | fd
apr_pool_t * | readpool
int | can_mmap
apr_size_t | read_size

## Detailed Description

A bucket referring to an file

## Field Documentation

## can_mmap

int apr_bucket_file::can_mmap

Whether this bucket should be memory-mapped if a caller tries to read from it

## fd

apr_file_t* apr_bucket_file::fd

The file this bucket refers to

## read_size

apr_size_t apr_bucket_file::read_size

File read block size

## readpool

apr_pool_t* apr_bucket_file::readpool

The pool into which any needed structures should be created while reading from this file bucket

## refcount

apr_bucket_refcount apr_bucket_file::refcount

Number of buckets using this memory

The documentation for this struct was generated from the following file:

- apr_buckets.h